%define svnrev	1074
%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary:	A GUI library for OpenGL
Name:		gigi
Version:	0.8.0
Release:	8.%{svnrev}.1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gigi.sourceforge.net/
Source0:	%{name}-%{svnrev}.tar.xz
Patch0:		gigi-938-link.patch
#from https://build.opensuse.org/package/files?package=gigi&project=home%3Adbuck
Patch1:		gigi-vector.patch
Patch2:		gigi-adobe-cmath.patch
Patch3:		gigi-cmake-tests.patch

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	boost-devel
BuildRequires:	jpeg-devel
BuildRequires:	libtool-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(OGRE)
BuildRequires:	pkgconfig(OIS)
BuildRequires:	pkgconfig(sdl)

%description
GiGi (aka GG) is a GUI library for OpenGL. It is platform-independent 
(it runs at least on Linux and Windows, and probably more), 
compiler-independent (it compiles under at GCC 3.2 or higher and MSVC++ 7.1 
or higher, and probably more), and driver-independent. A reference driver 
for SDL is provided, and it is straightforward to write one for yourself 
should you decide to do so.

%package -n 	%{libname}
Summary:	A GUI library for OpenGL
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the shared libraries for GiGi (aka GG), a GUI library
for OpenGL.

%package -n 	%{devname}
Summary:	Development headers for GiGi
Group:		System/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
Development headers and includes for GiGi (aka GG),  a GUI library 
for OpenGL. 

%prep
%setup -qn GG
%apply_patches

%build
%cmake

%make

%install
%makeinstall_std -C build

pushd %{buildroot}%{_libdir}
for lib in *.so; do
    mv $lib $lib.%{version};
    ln -s $lib.%{version} $lib;
done
popd

install -d -m 755 %{buildroot}%{_datadir}/cmake/Modules/GG
install -m 644 cmake/*.cmake %{buildroot}%{_datadir}/cmake/Modules/GG

# move documentation to the correct place
install -d -m 755 %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_prefix}/doc/GG %{buildroot}%{_docdir}/%{name}

%files -n %{libname}
%doc README COPYING INSTALLING PACKAGING
%{_libdir}/libGiGi*.so.%{major}*

%files -n %{devname}
%doc %{_docdir}/%{name}/GG
%{_libdir}/libGiGi*.so
%{_libdir}/pkgconfig/GiGi*
%{_datadir}/cmake/Modules/GG
%{_includedir}/GG



%changelog
* Fri Jun 15 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.8.0-8.1074.1
+ Revision: 805882
- rel up

* Sat Jun 09 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.8.0-7.1074.1
+ Revision: 804269
- new snapshot 1077
- patches for build fixes from opensuse
- cleaned up spec
- cleaned up spec

  + Tomas Kindl <supp@mandriva.org>
    - update to rev. 1044 for FO 0.3.17 upgrade...

* Tue Mar 15 2011 Funda Wang <fwang@mandriva.org> 0.8.0-6
+ Revision: 644953
- force filesystem v2
- rebuild for new boost

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Rebuild without removing -g from CFLAGS
      CCBUG: 62558

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 0.8.0-4
+ Revision: 640554
- fix linkage
- rebuild to obsolete old packages

* Sat Feb 19 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-3
+ Revision: 638786
- oops
- install cmake files in the correct location

* Sat Feb 19 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-2
+ Revision: 638736
- ship cmake files in devel package

* Sat Feb 19 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-1
+ Revision: 638632
- new version

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 0.7.0-0.4.813mdv2011.0
+ Revision: 572240
- rebuild for new boost

* Tue Aug 17 2010 Tomas Kindl <supp@mandriva.org> 0.7.0-0.3.813mdv2011.0
+ Revision: 570696
- add missing Clr.cpp -> ClrConstants.cpp patch
- update to r813, FO 0.3.15 compatible
- fix scons building as cmake isn't working properly yet...

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.7.0-0.2.812mdv2011.0
+ Revision: 566037
- rebuild for new boost

* Thu Jun 10 2010 Tomas Kindl <supp@mandriva.org> 0.7.0-0.1.812mdv2011.0
+ Revision: 547804
- and fix some permission problem...
- ...and rationalize lib name a bit...
- update to rev 812 for 0.3.14 FreeOrion release...

* Tue Apr 20 2010 Tomas Kindl <supp@mandriva.org> 0.7.0-0.svn811.1mdv2010.1
+ Revision: 537105
- bump to svn811 release

* Fri Mar 19 2010 Tomas Kindl <supp@mandriva.org> 0.7.0-0.svn804.1mdv2010.1
+ Revision: 525311
- update for libjpeg8
- bump to svn rev.804
- import gigi

